Viewing Issue Advanced Details Jump to Notes ] [ View Source: cave.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04610 Crash/Freeze Critical (emulator) Always 2012-01-16 17:52 2012-01-29 10:38
Tester cgwg View Status Public Platform SDLMAME
Assigned To aaron Resolution Fixed OS Linux
Status [?] Resolved   Driver cave.c
Version 0.144u6 Fixed in Version 0.144u7 Build 64-bit
Summary 04610: Multiple sets in cave.c: Segfaults in various places; sprites clipped in middle of screen.
Description I've tested this mostly with ddonpach, but have seen the same behavior in donpachi and esprade. During gameplay, there is a band across the middle of the screen where sprites don't appear. It is also likely to segfault, which seems to be connected to user input. I've had segfaults happen in the following places:
-during gameplay
-in the menu when remapping input
-when hitting Tab to exit the menu
-hitting F12 to produce a screenshot
-when exiting
Steps To Reproduce
Additional Information
Flags
Regression Version 0.144u6
Affected Sets / Systems Multiple sets in cave.c
Attached Files
png file icon 0004.png (53,297 bytes)  2012-01-16 18:50 by hap
hap

- Relationships
related to 04605Resolvedaaron All sets in taito_f3.c: Severe graphics corruption (missing/misplaced) 

-  Notes
User avatar (08037)
hap (Developer)
2012-01-16 18:48

Thanks, I can't confirm the segfaults (Win7 64 bit here) but I believe you.
Graphics problem is confirmed.
User avatar (08064)
BarnacleEd (Senior Tester)
2012-01-21 14:29

*** glibc detected *** /home/ed/Build/mame0144/mame64: free(): invalid next size (normal): 0x000000000d675970 ***

I got a SIGABRT from glibc upon exiting esprade, reason is given as above.
User avatar (08093)
Tafoid (Administrator)
2012-01-27 12:19

Suspect regression r15032
User avatar (08100)
Ryukoken (Tester)
2012-01-29 10:38

i confirm this bug and add report when i try to make a sceenshot of cave.c game

-----------------------------------------------------
Exception at EIP=77C17742 (not found): ACCESS VIOLATION
While attempting to read memory at FC76FC76
-----------------------------------------------------
EAX=70616E73 EBX=0D4F2918 ECX=FC76FC76 EDX=0022E784
ESI=00000003 EDI=0022E7C8 EBP=0022E784 ESP=0022E2DC
-----------------------------------------------------
Stack crawl:
  0022E784: 77C17742 (strcmp+0x0012)
  70616E73: 706F755C (not found)

tested under puzzle uo poko the favourite game of my daughter :(